MascPennTagParser (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.formats.masc, class: MascPennTagParser

# Class MascPennTagParser

java.lang.Object
org.xml.sax.helpers.DefaultHandler
opennlp.tools.formats.masc.MascPennTagParser

All Implemented Interfaces:
  `ContentHandler, DTDHandler, EntityResolver, ErrorHandler`

public class MascPennTagParser extends DefaultHandler
A class for parsing MASC's Penn tagging/tokenization stand-off annotation

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MascPennTagParser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `endElement(String uri, String localName, String qName)`
  `Map<Integer,String>`
  `getBases()`
  `Map<Integer,String>`
  `getTags()`
  `Map<Integer,int[]>`
  `getTokenToQuarks()`
  `void`
  `startElement(String uri, String localName, String qName, Attributes attributes)`

  ### Methods inherited from class DefaultHandler

  `characters, endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ContentHandler

  `declaration`

- ## Constructor Details

  - ### MascPennTagParser

    public MascPennTagParser()

- ## Method Details

  - ### getTags

    public Map<Integer,String> getTags()

  - ### getBases

    public Map<Integer,String> getBases()

  - ### getTokenToQuarks

    public Map<Integer,int[]> getTokenToQuarks()

  - ### startElement

    public void startElement(String uri, String localName, String qName, Attributes attributes) throws SAXException
    Specified by:
      `startElement` in interface `ContentHandler`
    Overrides:
      `startElement` in class `DefaultHandler`
    Throws:
      `SAXException`

  - ### endElement

    public void endElement(String uri, String localName, String qName) throws SAXException
    Specified by:
      `endElement` in interface `ContentHandler`
    Overrides:
      `endElement` in class `DefaultHandler`
    Throws:
      `SAXException`